Request
GET /v1/invoices
Authenticate with a bearer token. Create one with POST /v1/tokens or cluck login.
Parameters
| Name | Type | Description |
|---|---|---|
status | string | paid, open, or overdue |
limit | integer | Maximum results |
Example
curl -X GET https://api.pollosoft.example/v1/invoices?status=example&limit=10 \
-H "Authorization: Bearer $COOP_TOKEN"
Response
A successful call returns 200 OK with JSON like this:
{
"data": [
{
"id": "inv_2026_10",
"total_cents": 412500,
"currency": "usd",
"status": "paid"
}
],
"has_more": false
}
Errors
HEN-2001(401): Not logged inHEN-2004(403): Insufficient pecking orderHEN-5001(429): Too many pecks
IdempotencyThis endpoint is safe to retry. Reads do not lay eggs.